%define anolis_release 1
%global pypi_name py-cpuinfo
%global pypi_version 9.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Get CPU info with pure Python

License:        MIT
URL:            https://github.com/workhorsy/py-cpuinfo
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work without 
any extra programs or libraries, beyond what your OS provides. It does not 
require any compilation(C/C++, assembly, et cetera) to use. It works with 
Python 3.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work without 
any extra programs or libraries, beyond what your OS provides. It does not 
require any compilation(C/C++, assembly, et cetera) to use. It works with 
Python 3.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/cpuinfo
%{python3_sitelib}/cpuinfo
%{python3_sitelib}/py_cpuinfo-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 9.0.0-1
- Initial package.